import usb
import time

VENDOR_RQ_SET_LED    = 0
VENDOR_RQ_GET_SWITCH = 1
VENDOR_RQ_GET_LIGHTLEVEL = 2

def find_board():
    board = None
    for bus in usb.busses():
        for dev in bus.devices:
            if dev.idVendor == 0x16c0 and dev.idProduct == 0x05dc:
                return dev
    return None

board = find_board()
handle = board.open()
while True:
  req = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_IN
  ir_out = handle.controlMsg(req, 3, 1)
#  print ir_out
  if(ir_out==(1,)): 
        ir_out = handle.controlMsg(req, 3, 1)
#    if(ir_out==(1,)):  
        if handle.controlMsg(req, 1, 1)==(1,):
           handle.controlMsg(req, 0, None, value=0x0100)
	   handle.controlMsg(req, 0, None, value=0x0101)
	   handle.controlMsg(req, 0, None, value=0x0102)
        else:
           handle.controlMsg(req, 0, None, value=0x0000)
           handle.controlMsg(req, 0, None, value=0x0001)
           handle.controlMsg(req, 0, None, value=0x0002)
        time.sleep(0.1);
	
#  print ir_out
#  print '\n'
  
